/*
 * pins.h
 *
 *  Created on: 12.12.2015
 *      Author: pavel
 */

#ifndef PINS_H_
#define PINS_H_

#include "stm32f2xx.h"

# if 0
#define LCD \
X( LCD_BKLGHT,    GPIOC,  2,  GPIO_OUT) \
X( OLED_CS,		GPIOD,	0,	GPIO_OUT) \
X( OLED_CD,		GPIOC,	11,	GPIO_OUT) \
X( OLED_RST,		GPIOC,	12,	GPIO_OUT) \
X( OLED_MOSI,		GPIOA,  15,	GPIO_OUT) \
X( OLED_TYPE,     GPIOE,  12,  GPIO_IN_PU) \
X( OLED_SCK,		GPIOC,	10,	GPIO_OUT)
#endif

#define OLED_CS 	GPIOA, GPIO_Pin_15
#define OLED_CD 	GPIOB, GPIO_Pin_4
#define OLED_RST 	GPIOB, GPIO_Pin_8
#define OLED_MOSI 	GPIOB, GPIO_Pin_5
#define OLED_SCK 	GPIOB, GPIO_Pin_3
#define OLED_TYPE   GPIOE, GPIO_Pin_12

#define LCD_BKLGHT    GPIOC, GPIO_Pin_2

#define gpio_set GPIO_WriteBit
#define gpio_get GPIO_ReadInputDataBit

#endif /* PINS_H_ */
